package Hito4;

import java.util.List;
import java.util.Observable;

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.231747AB-609D-6F77-9128-39930272B86E]
// </editor-fold>

public class Caja extends Observable{

    private int identificador;
    private String usuario;
    private double saldoInicial;
    private double saldoFinal;
    private Empleado e;
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.6F221FD6-F5D1-8EA6-FB76-43BC404C2265]
    // </editor-fold>
    private List<Arqueo> mArqueo;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.492859A8-5B1D-3D6E-8C5A-C2EAE7B25A79]
    // </editor-fold> 
    public Caja () {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.9A62F3E6-3032-B3D1-9BA0-F23CB4E248C7]
    // </editor-fold> 
    
    /**
     * @return the saldoInicial
     */
    public double getSaldoInicial() {
        return saldoInicial;
    }

    /**
     * @param saldoInicial the saldoInicial to set
     */
    public void setSaldoInicial(double saldoInicial) {
        this.saldoInicial = saldoInicial;
        setChanged();
        this.notifyObservers();

    }

    public double getSaldoFinal() {
        return saldoFinal;
    }

    public void setSaldoFinal(double saldoFinal) {
        this.saldoFinal = saldoFinal;
        setChanged();
        this.notifyObservers();
    }

    public String getUsuario() {
        return usuario;
    }

    public void setUsuario(String usuario) {
        this.usuario = usuario;
    }

    public void ingresoCaja(double importe){
        this.saldoFinal=this.saldoFinal+importe;
        setChanged();
        this.notifyObservers();
    }

    public void reintegroCaja(double importe){
        this.saldoFinal=this.saldoFinal-importe;
        setChanged();
        this.notifyObservers();
    }

    
    /**
     * @return the mArqueo
     */
    public List<Arqueo> getMArqueo() {
        return mArqueo;
    }

    /**
     * @param mArqueo the mArqueo to set
     */
    public void setMArqueo(List<Arqueo> mArqueo) {
        this.mArqueo = mArqueo;
    }

    /**
     * @return the e
     */
    public Empleado getE() {
        return e;
    }

    /**
     * @param e the e to set
     */
    public void setE(Empleado e) {
        this.e = e;
    }

    /**
     * @return the identificador
     */
    public int getIdentificador() {
        return identificador;
    }

    /**
     * @param identificador the identificador to set
     */
    public void setIdentificador(int identificador) {
        this.identificador = identificador;
    }
}

